Subject: Re: No mo Docker for macOS!

From: James Dugger via PLUG-discuss <[email-masked]>
Date: Sat, 21 Jun 2025 00:05:34 -0700

Yeah it's not a big issue.  It's cool that Apple has built their own
container engine based on the OCI model.  It's predictable that they would
do this.  They had to fork BASH 3.0 due to the limits with BASH 4.0 +
GPL3.0 licensing that were being imposed on them from Stallman.

Docker's recent decision to require payment for commercial use, probably
sent them in the same direction as Google did when building their own
container engine in Kubernetes.

My main comment was that if you did need to package for x86 and you are on
Apple silicon you might still be stuck with using Docker to get it done.

I agree with David that for testing builds, or running stuff locally on
your laptop or mini it doesn't really matter.  Professionally once you
commit your infrastructure and platform code your CI/CD workflow tooling
will rebuild and package the container on whatever architecture your
production system is using.

 So I guess it comes down to what arch your running the container on and do
you need to package locally or do you have an external CI/CD orchestrator
running on x86.

On Tue, Jun 17, 2025 at 9:44 AM Thomas Scott <[email-masked]>
wrote:

> Unfortunately, this is the last OS release for intel based Macs period.
>
> I have had two M-series MBPs at work and bought a M-series Mac mini for
> home use. I also have a small k3s cluster for a homelab, if I could swap
> out my mini PCs for native k3s/k8s on macOS, I'd consider it. Granted I
> paid about 1.5 x what I did for my nodes and they have 32GB and 20 cores,
> and the RAM maxes out at 96 GB and *I can swap it myself*... so, I lose all
> of that, but if you could find enough used with maxed out specs, it's not a
> bad place to be.
>
> Best Regards,
> -Thomas Scott
>
>
> On Jun 12, 2025 at 1:59:59 AM, David Schwartz via PLUG-discuss <
> [email-masked]> wrote:
>
>> Interesting question.
>>
>> There are still plenty of Intel-based Macs available that will be able to
>> run this new version of macOS.
>>
>> But I think this is aimed at people building stuff in php, python, and
>> other languages that are not CPU-dependent.
>>
>> Otherwise it would just be competing with Parallels, right?
>>
>> As an aside, I hear Parallels running X86 apps using Rosetta on an
>> M-series CPU isn’t very fast. I wonder how it will compare to this new
>> approach running on an Intel-based Mac MIni or MBP?
>>
>> There were MBPs that shipped with i9’s in them; the Mac Minis maxed-out
>> at 4-core i7’s.
>>
>> My 2018 Mac MIni (i7) is fast enough for my needs, but it’s having heat
>> problems, and slows down as it gets hotter. I’m thinking of replacing it.
>>
>> -David Schwartz
>>
>>
>>
>>
>> On Jun 11, 2025, at 8:28 PM, James Dugger <[email-masked]> wrote:
>>
>> Yeah, I heard about that.  The question I have is can you package images
>> for x86 architecture without Docker Buildx/QEMU with Mac's on Apple
>> silicone .  Mac's Rosetta 2 is supposed to be able to do it. But Idk. Most
>> use cases for Linux containers in the cloud need to be packaged for x86.
>>
>> On Wed, Jun 11, 2025 at 1:46 AM David Schwartz via PLUG-discuss <
>> [email-masked]> wrote:
>>
>>> Well, if you’re open to a reason to switch to a Mac, this might nudge
>>> you a little bit:
>>>
>>> macOS 26 adds native support for Linux containers
>>>
>>>
>>> https://appleinsider.com/articles/25/06/09/sorry-docker-macos-26-adds-native-support-for-linux-containers
>>>
>>> -David Schwartz
>>>
>>>
>>>
>>>
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>>
>>
>>
>> --
>> James
>>
>> *Linkedin <http://www.linkedin.com/pub/james-h-dugger/15/64b/74a/>*
>>
>>
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>
>

-- 
James

*Linkedin <http://www.linkedin.com/pub/james-h-dugger/15/64b/74a/>*
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss